Skip to content

upsertPurchasingRFQ

WRITE

Upsert purchasing r f q.

POST /api/v1/purchasing/upsertPurchasingRFQ
curl -X POST '<your-host>/api/v1/purchasing/upsertPurchasingRFQ' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "rfqId": "string",
    "rfqDate": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Draft""Requested""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "rfqId": {
      "type": "string"
    },
    "rfqDate": {
      "type": "string"
    },
    "expirationDate": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "employeeId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Requested",
        "Closed"
      ]
    },
    "customFields": {}
  },
  "required": [
    "rfqId",
    "rfqDate"
  ]
}